*** QuickBooks Sync for WooCommerce - by MyWorks Software ***

= 2021-02-08 version 2.2.0 =
* Added built-in support for all pre-build compatibility for our paid plans - available in MyWorks Sync > Compatibility menu
* Added additional filters in Map/Push pages to filter by mapped or unmapped products
* Added setting to control the Print Status of orders/refunds synced to QuickBooks - off by default
* Added official support for popular WooCommerce Gift Card plugins, supporting syncing redemptions to orders in QuickBooks
* Added setting to skip a Country field in bill/ship to addresses when syncing orders
* Added support to sort Push > Orders page by sync status
* Improved widget in WooCommerce admin order area to support syncing an order to QuickBooks with a button / viewing it in QuickBooks
* Improved handling of more advanced tax scenarios when syncing full and partial refunds
* Improved handling of refunds to support syncing shipping-only refunds
* Improved handling to honor custom order number support when syncing refunds - instead of using WooCommerce Order ID
* Improved handling of syncing custom fields to QuickBooks by trimming values longer than 31 characters for limited fields in QuickBooks
* Improved handling of automatic bank deposits with additional flexibility for different timezone settings in the core Wordpress site settings
* Improved wording of timeout error that will display on Automap pages if the automap process is timed out by the site
* Resolved issue with "Pay" button not showing in some cases for QuickBooks invoices displayed in the WooCommerce account area
* Resolved minor PHP warnings occuring when using PHP 7.4
* Resolved issue where new variations may not automatically sync to QuickBooks when added in WooCommerce
* Changed setting in MyWorks Sync > Map > Payment Methods to enable syncing refunds - now on for new installs by default

= 2020-07-01 version 2.1 =
* Added additional filters in Map/Push pages to filter by mapped or unmapped products
* Added support for syncing refunds with no/0 quantity
* Added initial support for syncing transaction fees as a negative line item in the QuickBooks invoice/sales receipt
* Added a setting to control the "Purchase Description" field for a product when syncing it into QuickBooks
* Added a setting to have better control over sending a specific rate to QuickBooks for orders with more than 2 points after the decimal
* Added handling to ensure an order already refunded is not subsequently voided in QuickBooks - even if cancelled in WooCommerce
* Improved handling for multi-currency workflows, and ensuring customers are synced into QuickBooks with the correct currency
* Improved handling of longer Transaction IDs to only sync the last 25 characters into QuickBooks
* Improved compatibility with new 100-character limit for QuickBooks product names
* Improved load time on admin QuickBooks section for products with many variations (and setting to disable)
* Improved handling for inventory sync by optimizing queries used when "Ignore CDC" setting is enabled
* Improved Pull > Inventory Level page to strip out any decimals
* Improved support for handling partial refunded shipping
* Improved class support to be honored when syncing transaction fees
* Improved support for handling shipping tax when syncing shipping as a subtotal field with Automated Sales Tax
* Resolved issue with tax for shipping not being correctly honored when syncing orders with multiple tax rates
* Resolved issue with backorder status not being honored when syncing inventory level changes into WooCommerce
* Resolved issue with sync status not correctly showing in Push > Orders in cases when setting to "Use Next QB #" is enabled
* Resolved issue with sale product incorrectly syncing to QuickBooks when a product is updated in WooCommerce
* Resolved issue with bundled products not showing correctly in our sync due to changes in the QuickBooks response

= 2020-02-04 version 2.0 =
* Added QuickBooks tab in Products/Variations to allow control over product mapping/accounts in QuickBooks
* Added compatibility with WooCommerce 3.9
* Added in-plugin notices to warn if wp-cron doesn't seem to be working correctly
* Added in-plugin notices to warn if default WooCommerce PayPal gateway is being used (results in some orders not syncing automatically)
* Added support to automatically clear product/variation mappings if deleted in WooCommerce
* Added support for handling orders with multiple separate tax rates
* Added setting to choose using Order Number or Transaction ID in payment Reference Number field
* Improved support for better handling rate/quantity/total line item calculations
* Improved support for handling orders with bundled products in WooCommerce, QuickBooks or both
* Improved support for syncing manual variation inventory changes to QuickBooks
* Improved handling for incorrect math in WooCommerce line items for rate & amount
* Improved handling for bundled product quantity and rate in line items
* Improved logging for preventing $0 orders - not as an error message
* Resolved compatibility issues with WooCommerce Deposits plugin
* Resolved an issue with orders not marking as synced when pushed to QuickBooks
* Resolved an issue with invoices not being emailed from QuickBooks once synced

2019-12-18 version 1.9.3
* Resolved issue with rate occasionally not showing in QuickBooks orders
* Improved handling for volume orders and ensuring duplicate orders aren't synced within the same second

2019-12-14 version 1.9.2
* Resolved library files causing PHP errors in some sync scenarios

2019-12-13 version 1.9.1
* Resolved issues with activation / upgrade in some scenarios

2019-11-14 version 1.8 
* Added compatibility with WooCommerce 3.8
* Added compatibility with v1.13 of Sequential Order Numbers Pro
* Added setting to override rare cases where QuickBooks doesn't return the correct Inventory on/off status
* Added setting to control order date used when including in batches - order date, paid date, completed date
* Added setting to show only mapped products with different inventory levels in Push > Inventory
* Added support to recognize/map 0% tax rates in orders
* Added support to sync $0 refunds to QuickBooks (for inventory tracking purposes)
* Added setting to improve syncing inventory in cases where QuickBooks isn't correctly updating the "Last Updated" date for a product when inventory is changed
* Added setting to support syncing Purchase Orders into QuickBooks along with WooCommerce Orders
* Added setting to sync orders to QuickBooks as invoices or sales receipts on a per-gateway level
* Improved handling of variations with names longer than 50 characters
* Improved setting to show Invoices in WooCommerce account area by also supporting showing Sales Receipts
* Improved line-total calculations in cases where lines with discounts weren't being calculated/rounded correctly in WooCommerce
* Improved "Inventory Start Date" functionality to read the default WooCommerce Product "published" date by default
* Improved compatibility with being activated on multi-sites
* Improved handling of bundled products in orders to ensure quantity is correctly reflected in QuickBooks.
* Improved handing of orders with WooCommerce simple products mapped to QuickBooks bundle products
* Improved "Catch Unsynced Orders" setting to check for orders by post_modified date
* Resolved issue with PDF not being generated correctly for invoices shown in WooCommerce account area
* Resolved issue where Refunds attempt to sync over even when Refund Syncing is off
* Resolved issue where orders with shipping-only tax were not correctly syncing tax to QuickBooks line items

2019-07-31 version 1.7.6
* Improved automatic inventory sync to be more reliable under certain scenarios
* Resolved rare issue where nested functions were causing PHP notices/conflicts in some sites

2019-07-25 version 1.7.5
* Added newly required lib file: BillEmailCc.php
* Added newly required lib file: BillEmailBcc.php
* Added newly required lib file: SalesEmailBcc.php
* Added compatibility for WooCommerce custom fee line items in full/partial refunds
* Added setting to "Use Next QuickBooks order number" instead of WooCommerce Order ID
* Added beta setting to add customer-account facing "Invoice" area showing all invoices in their mapped QuickBooks customer account to view/pay (yes, super cool, we agree!)
* Improved setting to map WooCommerce product title to QuickBooks Description to work both sync directions
* Improved Push/Map pages with additional search fields supported
* Improved support for multiple individual tax rates in multi-line WooCommerce orders
* Improved support for partial shipping refunds - extra $0 line item will no longer show
* Improved functionality of Settings > Taxes tab - it will now be hidden if it contains no applicable settings
* Improved support for pulling QuickBooks Products to update WooCommerce variations
* Improved Automap support for products with " and / in their names
* Improved handling for sync status - supporting showing on pages up to 200 items
* Improved sync status on Push > Orders page to be sortable
* Resolved issue with inventory sync occasionally failing due to un-necessary TaxCodeRef being included
* Resolved rare issue with Aes/mcrypt functionality overlap
* Resolved issue where Batch Support couldn't be turned off correctly
* Resolved issue where Deposit would be included without cause in Invoice updates, causing error from QuickBooks
* Resolved issue where welcome message/banner shown when plugin is activated couldn't be permanently dismissed
* Removed setting to select roles we should recognize as containing customers. All roles are now automatically recognized. Yay!


2019-06-14 version 1.7.4
* Resolved error where variations updated to positive inventory from a 0 inventory level weren't showing correct stock status
* Added newly required lib file: SalesEmailCc.php


2019-06-13 version 1.7.3
* Added Push > Refunds area to enable better support for dealing with syncing new/historic refunds to QuickBooks
* Added setting to control syncing orders as invoices or sales receipts on a per-role level
* Added improved support for Partial Refunds - especially in scenarios dealing with partially refunded tax and shipping
* Added built-in support for "Store Credit" - a feature in the WooCommerce Smart Coupons plugin
* Added a setting to force the discount line above taxes
* Added specific class support for additional fee line items in MyWorks Sync > Compatibility
* Added support for Sequential Order Numbers (not Pro) plugin
* Added setting to control syncing shipping as a line item or subtotal field
* Added activation rule to automatically enable discount/shipping subtotal fields during initial setup
* Added setting to use QuickBooks customer email as BillEmail instead of WooCommerce order email (default)
* Added support for syncing a single payment in QuickBooks paying multiple orders to correctly update multiple order statuses in WooCommerce
* Added support for syncing WooCommerce orders containing multiple items with different (separate) tax rates
* Added support for syncing negative "fee" line items to QuickBooks as a discount
* Added newly required lib file: SalesEmailBcc.php
* Improved syncing product variations by adding support to ensure variation names are unique when syncing to QuickBooks
* Improved settings/mapping dropdowns to only show relevant QuickBooks accounts
* Improved "catch unsynced orders" setting to catch more scenarios of orders not placed with correct WooCommerce order hooks
* Improved class support so global "default" class set in settings is used only in cases where the specific line item doesn't have an existing class mapping
* Resolved issues where Select2 dropdown search wasn't working
* Resolved issue when saving multiple pages of tax mappings
* Resolved bug shown in Pull > Category Page
* Resolved issues where products synced from QuickBooks to WooCommerce were not following category assignments, if categories existed in both platforms
* Resolved .01 cent rounding issues when syncing orders with inclusive tax mode
* Resolved issue with line items including discount when syncing orders with inclusive tax mode
* Resolved issue where QuickBooks payments would not correctly update WooCommerce order status
* Removed Inclusive/Exclusive tax setting from MyWorks Sync > Settings > Taxes - as this follows the default WooCommerce setting

2019-04-23 - version 1.7.2
* Added support for Bundled Product parent line items to show a description value in a QuickBooks order

2019-03-18 - version 1.7.1
* Improved inventory sync for multiple WooCommerce products mapped to one QuickBooks Online product
* Added setting to override checking for email match by just checking for first/last name match
* Added compatibility with v1.13.0 of Sequential Order Numbers Pro
* Added compatibility to sync WooCommerce product names into QuickBooks order description for bundled product orders
* Improved setting to send invoices to customer from QuickBooks to also enable Card/ACH payment in QuickBooks
* Improved code standards to use $wpdb->prepare() and internal Wordpress HTTP functions for curl calls
* Resolved bug where product pull wasn't correctly showing in Launch plans

 2019-02-26 - version 1.7.0 
* Introduced our free forever plan - Launch!
* Redesigned our Connection page for easier QuickBooks connection
* Added setting to support syncing custom order meta into the QuickBooks Description field
* Added setting to support emailing an invoice to a client from QuickBooks after we sync the order into QuickBooks
* Added setting to support syncing discounts within original order line item, instead of separate discount line
* Added setting to support syncing orders to existing customer with the same name in QuickBooks


 2019-01-30 - version 1.6.9 
* Added additional compatibility with updated versions of Avalara Avatax

 2019-01-09 - version 1.6.8 
* Added additional library file that QuickBooks Online now requires.

 2018-12-20 - version 1.6.7 
* Redesigned MyWorks Sync > Connection to make the setup/connection process easier. Your QuickBooks Connection is now managed within your account with us.

 2018-12-18 - version 1.6.6 
* Added initial beta support for automatically finding and syncing recent unsynced orders into QuickBooks (off by default)
* Resolved issue where setup steps wouldn't show that all default settings had been correctly set

 2018-12-15 - version 1.6.5 
* Added the administrator and subscriber role to our Mapping Settings to be automatically recognized as customers by default
* Added support for syncing Fee line items from WooCommerce orders into QuickBooks
* Added compatibility for select WooCommerce.com plugins directly into our core sync. See list below:
* Sequential Order Numbers / Pro, WooCommerce COGS, WooCommerce Avalara/Taxify, WooCommerce Subscriptions
* Added Setup Helper to make setup even easier! (in beta)
* Added setting to set a Location in QuickBooks to assign orders to when syncing an order
* Streamlined initial setup steps (automatically saving some default settings, automatically refreshing data, turning on shipping/discount subtotal fields in QuickBooks)
* Improved bundle compatibility to support multiple quantities ordered in WooCommerce
* Resolved issue where recent orders won't show in Push pages for monthly/free trial licenses
* Improved tax handling with QuickBooks AST to support shipping tax in WooCommerce
* Hid variable parent products from Map/Push > Products/Inventory Levels pages
* Hid sync status badges in WooCommerce > Orders if QuickBooks is not connected
* Removed 0% tax setting if Automated Sales Tax is enabled in QuickBooks
* Removed settings to sync "Category" between platforms - Categories are useless in QuickBooks. This can be re-enabled by contacting support.

2018-10-09 - version 1.6.2
* Improved handling for the QTY field in WooCommerce orders
* Optimized the Push > Payment page for quicker loading on higher-volume stores


2018-10-09 - version 1.6.1
* Confirmed support for WooCommerce 3.5
* Improved handling of inventory sync from WooCommerce to QuickBooks in rare cases when inventory is synced alongside an order
* Improved handling for syncing payments from QuickBooks to update WooCommerce order status (for full and partial payments)
* Improved Map/Push > Customer interface to only show customers from excluded roles when setting to sync all orders to one QuickBooks customer is enabled
* Added support for automatically syncing customer updates from WooCommerce to QuickBooks


2018-10-09 - version 1.6.0
* Improved Dashboard metrics and set default graph display to Month
* Fixed bug with sales receipts not correctly voiding in QB when order is cancelled in WooCommerce
* Added initial support for easier QuickBooks Connection process (and automatic reconnection)
* Plugin updates will be automatically pushed from wordpress.org from this point forward


2018-10-09 - version 1.5.6
- Changed plugin folder name to myworks-woo-sync-for-quickbooks-online (upgrades will convert the name automatically)
- Officially launched plugin on wordpress.org  


2018-09-14 - version 1.5.5
- Update to add compatibility for future updates pushed from wordpress.org repo


2018-07-18 - version 1.5.4
- Added setting to choose whether to change Stock Status to In-Stock/Out of Stock based on our sync updating inventory level to or from 0
- Improved handling of inventory sync when quick-editing product inventory on main Product page in admin
- Added setting to Map > Payment Methods to adjust the due date of the order in QuickBooks
- Changed the default syncing mode for first time users to Queue Sync


2018-05-31 - version 1.5.2
- Improved class support for per-line transactions, and bank deposits
- Improved refund sync settings, to control per-gateway (removed redundant setting from Settings > Automatic Sync)
- Greatly improved inventory sync from QuickBooks > WooCommerce, building in support for wp-cron
- Greatly improved automatic batch support for bank deposits, building in support for wp-cron
- Added support to pull product information from QuickBooks to update mapped variations in Woo
- Added order # and transaction ID info to memo field for payments and bank deposits in QuickBooks
- Resolved issue where order updates weren't syncing to QuickBooks while Queue Sync was enabled
- Improved setting to only show products with different inventory levels in Push > Inventory Levels for variations
- Improved setting for Default QuickBooks Customer Display Name - to send First + Last Name if company name doesn't exist
- Updated library to use QuickBooks API minor version 23

2018-05-31 - version 1.5.1
- Confirmed support for WooCommerce 3.4.1
- Improved support for syncing partial refunds accurately to QuickBooks
- Improved support for negative order line items (discounts) to sync to the QuickBooks discount subtotal field
- Further improved connection/licensing fallbacks and safeguards in the case of an extended QuickBooks Online API downtime
- Rebuilt AutoMap functionality to allow choice of which fields automap together


2018-05-21 - version 1.5.0
- Confirmed support for PHP 7.2 and WooCommerce 3.3.5
- Greatly improved QuickBooks Connection speed/frequency to optimize performance
- Added a setting to override/ignore tax mappings to sync WooCommerce order tax to a QB line item
- Rebuilt AutoMap functionality to allow choice of which fields automap together



2018-04-26 - version 1.4.5
- Improved compatibility with V4.1+ of the WooCommerce Stripe Gateway and new fee format
- Added support for syncing line-item order discounts (with no coupon) to QuickBooks
- Resolved issue with assigned product accounts in QuickBooks being updated when product is pushed
- Resolved issue with inventory not being automatically imported into Woo when using Queue Sync setting



2018-04-26 - version 1.4.4
- Added support for PHP 7.2
- Improved variation mapping page to improve compatibility with high-volume variations
- Resolved issue where inventory wasn't syncing from Woo > QB during Queue Sync
- Moved Product Description mapping setting from Settings > Pull to Settings > Product
- Disabled payment-related settings when syncing orders as sales receipts to minimize confusion
- Restricted only bank/asset accounts to show in Map > Payment Methods
- Added setting to skip syncing any values into the Description field of the QuickBooks Invoice/Sales Receipt
- Built the "check mapped customer directly from QuickBooks" setting into the integration core - for better customer mapping handling
- Added a Clear All Mapping button to Map > Products > Variations
- Added a setting to only show products with different inventory levels in Push/Pull > Inventory Levels
- Improved handling of inventory adjustments to use current date when adjusting inventory



2018-03-19 - version 1.4.3
- Resolved issue where non-admins could not refresh data
- Removed parent variable products from showing in Push > Products and Map > Products (as they're not products that are actually ordered)
- Added access to customer/product Push pages while in setup steps
- Resolved issue where category sync items would jam up the Queue Sync
- Improved access to multicurrency settings if multicurrency is enabled in QuickBooks


2018-03-09 - version 1.4.2
- Resolved issue where non-admins could not refresh data
- Resolved intermittent issue where orders were not syncing, or syncing after payments - due to re-ordered logic of hooks
- Removed parent variable products from showing in Push > Products and Map > Products (as they're not products that are actually ordered)
- Improved batch support in cases where valid directory wasn't being stored in our system
- Added access to customer/product Push pages while in setup steps
- Resolved issue where category sync items would jam up the Queue Sync


2018-02-28 - version 1.4.1
- Added new order notes to show when order was synced to QuickBooks, or errored out
- Added limitations to free trial / monthly licenses to only allow syncing of last 30 days of data
- Relaxed the setup process to allow access to Push > Products page during setup
- Resolved occasional issue where payment was synced to QuickBooks before the order, resulting in an error


2018-02-23 - version 1.4.0
- Added success messages after activation and setup completion
- Improved removal of customer/product mappings after customer/product is deleted in QuickBooks
- Resolved issue with queue sync conflicting with timezone settings
- Resolved known bug with transaction fees not syncing over with sales receipts when enabled
- Split Map > Custom Fields into separate standalone plugin
- Resolved long-running session issue in WooCommerce where new admin orders now only need to be saved once to be synced to QB

2018-02-06 - version 1.3.3
- Added Product setting to add ability to override new products' Inventory Start Date when pushing to QuickBooks
- Resolved multisite issue where plugin couldn't be activated if WooCommerce wasn't network-activated


2018-02-06 - version 1.3.2
- Resolved nav bar logic where Map > Products is sometimes incorrectly hidden
- Revised the setup steps to count a mapped variation towards the requirement to map at least 1 product
- Resolved rare issue where sync status icons wouldn't show on the Push > Orders page


2018-02-05 - version 1.3.1
- Resolved Javascript issue with "Sync Orders As" setting not working correctly

2017-12-22 - version 1.3.0
- Improved support for payment method mapping page not showing gateways in some rare cases
- Added better support for timezone/logging by following the timezone set in Wordpress > Settings > General
- Changed default setting to sync orders as Sales Receipts instead of Invoice/Payment
- Moved Automap buttons to the top of the page for Map > Customer/Product
- Improved Avalara/Taxify Tax support to include tax applied to shipping when syncing total tax to QB
- Added better support for multisite Batch Support - http request headers
- Refined Settings page display to hide irrelevant dependent settings when parent setting is off
- Added Guidelines / Help tab for more helpful user experience throughout plugin
- Added support for Automated Sales Tax in QuickBooks Online 2018
- Improved support for syncing all orders to one QuickBooks customer - allowing exclusion of specific customer roles
- Improved Weekend Batch Support for Stripe payments (combining Sat/Sun payments into Monday batch)
- Added setting to specify global Class for orders synced to QB. Overrides any product-specific class mappings.
- Improved Map > Customers page to show first/last name, company name, and email
- Confirmed WooCommerce 3.3.0 Compatibility
- Added Need Help/ Guidelines dialog throughout the plugin interface
- Added status boxes in Settings > Defaults to note important setting values
- Added option to ignore product description when pushing/pulling products to QuickBooks

2017-12-22 - version 1.2.5
- Added compatibility with WooCommerce Beta 3.3.0 (not breaking orders page)
- Improved Batch Support for Sales Receipts to include transaction fees

2017-12-13 - version 1.2.4
- Added better support for non-payment gateways in WooCommerce
- Added better support for non-Customer roles in WooCommerce
- Added pagination for Map > Taxes page
- Hid combined tax rates by default on Map > Taxes page
- Resolved issue with orders cancelled in WooCommerce not syncing the void to QuickBooks
- Added additional compatibility for PayPal Express/partial payments, to recognize as valid payments
- Added option in Push/Map > Products to filter products by type
- Added variations tab to Push > Inventory
- Improved Multisite activation/licensing functionality

2017-11-24 - version 1.2.3
- Resolved connection issue in Connection tab

2017-11-10 - version 1.2.2
- Added compatibility for other roles besides Administrator to access our plugin: manage_woocommerce  AND view_woocommerce_report roles must be checked
- Fixed bug where sync status may not show up accurately on the Edit Order page if Queue Syncing is turned on
- Added better support for ' and " in product names for Mapping dropdowns
- Added better support for Sync all orders to one Customer - to not require customer mapping during setup
- Added support for Batch Support for Sales Receipts as well as Invoices
- Added better support for Compatibility Plugin with Shipment Tracking Pro / serialization issues

2017-11-01 - version 1.2.0
- Major Release: Added Queue Sync functionality as alternative to RealTime Sync
- Fixed issue wheree orders as sales receipts were not correctly syncing to Undeposited Funds when batch support was enabled.
- Added MultiSite Licensing/Connection Support
- Minor Bug Fixes

2017-10-27 - version 1.1.2
- Added a new libary file (EffectiveTaxRate.php) that QBO is suddenly requiring - causing Request Errors when syncing

2017-10-11 - version 1.1.1
- Resolved a minor setup dialog error

2017-10-10 - version 1.1.0
- Added a check to disable the sync status check on the WooCommerce > Orders page if showing more than 100 orders
- Rebranded to our MyWorks Software branding
- Improved design of the Log page
- Removed Default QB Discount Product option from settings 
- Resolved Error 6000 QB API error through emergency update (read more in documentation)

2017–08-09 - version 1.0.39
- Added a check to ensure mcrypt is installed before the plugin can be activated

2017–08-09 - version 1.0.38
- Resolved minor issue with the Database Fix setting in Settings > Miscellaneous
- Added setting to Settings > Mapping to map/sync orders by the customer billing or shipping address
- Redesigned the Sync Progress window with cleaner updated design

2017–08-08 - version 1.0.37
- Added option to turn on/off session based connectivity lag fixes

2017–08-01 - version 1.0.36
- Added button to automap products by name
- Added button to automap clients by name
- Fixed issue where cached connection in session was causing inaccurate QuickBooks Online connection status

2017–07-28 - version 1.0.35
- Added major optimizations to improve page load time - both in the wordpress admin and in the MyWorks Sync admin plugin pages
- Added major optimizations to better handle enterprise-level systems (with 10K+ clients or products)
- Added a pause/unpause feature to completely disconnect from QuickBooks Online - but easily unpause with the click of a button
- Improved syncing over orders with variations - variation details are now clearly noted in the QuickBooks Online line item detail

2017-06-26 - version 1.0.33
- Added improvement for selecting multiple order statuses to trigger the sync of an order
- Improved restriction loosening for not mapping clients / products 
- Added setting to set the QuickBooks Online invoice date to be the most recent date it was pushed from WooCommerce.

2017-06-26 - version 1.0.32
- Added option to have Product Description in QuickBooks Online be WooCommerce Product Title when pushing products
- Improved handling of pushing over 0 QTY inventory products from Woo > QBO
- Added "Check Again" link to recheck trial license status

2017-06-26 - version 1.0.31
- Minor Bug Fixes
- Added functionality to turn off Beta Update switch after left on for 7 days
- Improved setup steps to not force mappings if not customers or products exist in one of the systems
- Added compatibility with USAePay gateway
- Improved handling of tax rounding to reduce $.01 rounding errors

2017-06-26 - version 1.0.30
- Minor Bug Fixes
- Added compatibility with multiple connections (up to 5)

2017-06-09 - version 1.0.29
- Minor Bug Fixes

2017-06-09 - version 1.0.28
- Minor Bug Fixes
- Added compatibility with USA e-Pay
- Resolved order_id error in WooCommerce 3.0

2017-06-09 - version 1.0.27
- Minor Bug Fixes
- Fixed Pull > Category functionality to pull categories with "&" in the name
- Resolved minor issues with product update from Woo>QB (description/price/tax overwrite)
- Resolved minor issues with shipping & coupon values in QB not taking on the tax rate of the WooCommerce order

2017-06-09 - version 1.0.26
- Minor Bug Fixes
- Simplified Map > Payment Method Screen
- Split off Compatibility tab to standalone plugin

2017-06-09 - version 1.0.25
- Modified real-time payment sync hook for stability
- Changes in mapping WooCommerce Variable Products > QB Bundle Products
- Updates in fixing earlier upgraded plugin database tables


2017-05-31 - version 1.0.23
- Added Update Product Functionality 
- Changes in billing_phone Custom Field Map Option 
- Coupon/Discount recorded as positive number issue (When added in line item) 

2017-05-31 - version 1.0.22
- Added Transaction Fee Support (Stripe/WooCommerce Default Currency) 
- Bug Fixes (VAT Error Issue) 
- Improved Sync Status Label in Order Edit Page
- Added Search by Status to Order push page 
- Added Sort icons in list tables 

2017-05-03 - version 1.0.21
- Updated licensing URL to http
- Improved payment syncing for gateways with no actual payment

2017-05-03 - version 1.0.20
- Updated licensing URL to http
- Improved payment syncing for gateways with no actual payment

2017-05-03 - version 1.0.18
- Realtime Product create sync from admin
- Realtime and manual category sync for products (Push and pull)
- Bug Fixing

2017-04-26 - version 1.0.17
- Realtime Order sync from admin
- Bug Fixing

2017-04-20 - version 1.0.16
- Quickbooks ststus column in backend order page
- Quickbooks ststus widget for order details page
- Bug Fixing

2017-04-13 - version 1.0.15
- Activate and Implemented Push All button in push pages (customer,product,payment,order)
- Implemented Sync Status in Push/Pull pages
- Implemented Ajax Select 2 Dropdown on Hover
- Guest Payment Sync Issue resolved
- Duplicate client list in push page resolved
- Ajax issue in sync window has been resolved
- Added cloumn for woocommerce stock in inventory pull page
- Webhook product/inventory update issues resolved
- Trial license functionality improvements done
- Email/Quick refresh cron added
- Plugin debug option (print qbo object in log file in case of qbo response error) added
- Invoice add/update string lenght issue resolved
- Added direct checking customer in qbo if not mapped
- Bug Fixing and Performance Improvement
- Bug fixing and performance improvements

2017-04-04 - version 1.0.14
- Changes in inventory update instoxk issue
- Added bootstrap switch instead of jquery switch
- Replace multiselect with item checkboxes in Setting->Realtime Sync
- Changes regarding realtime push on/off
- Changes for guest order payment push
- Bug fixing and performance improvements

2017-04-04 - version 1.0.13
- Dual update functionality added (beta & stable version)
- User preference settings for beta update has been added
- UI improvements
- Bug fixing and performance improvements

2017-05-03 - version 1.0.12
- Module Debug Option for print qbo item object has been added
- Changes inside quick refresh function (allow customer with blank email)
- Bug fixing and performance improvements

2017-03-22 - version 1.0.11
- Auto Reconnect functionality developed
- Changes in Product Automap function
- Added Realtime Sync Tab in settingds
- Bug fixing and performance improvements

2017-03-22 - version 1.0.10
- Setup message restriction on other page
- Setup section refresh and map issue resolved
- Invoice / SalesReceipt Update (Push)
- Guest Order Support
- Salect 2 Dropdown Changes
- Bug fixing and performance improvements

2017-03-14 - version 1.0.9
- Variation support for inventory(qty) update
- Changes in webhooks
- Help functioanlity developed
- Save notification for settings
- Red default admin notice has been removed
- Setup section styling issue has been fixed for all pages
- UI upgradation done
- Bug fixing and code optimization

2017-03-08 - version 1.0.8
- Webhooks settings added and implemented
- Pull Product description settings added and implemented
- Changes in invoice shipping add
- Bug fixing and performance improvements
- Added loggly api for quickbooks respponse errors
- Make dashboard status dynamic
- Worked in variation mapping page and applied in invoice push

2017-03-08 - version 1.0.7
- Settings page upgrade
- Error on live server for public refresh issue resolved
- System status page developed
- Bug fixing and performance improvements

2017-02-24 - version 1.0.6
- Update issue resolved
- UI improvement
- Uninstall issue resolved
- Bug fixing and performance improvements.

2017-02-24 - version 1.0.5
- Product Pull
- Design improvements
- Bug fixing and performance improvements.

2017-??-?? - version 1.0.4
- Sync WooCommerce Order as QuickBooks Sales Receipt
- Design improvements
- Bug fixing and performance improvements.

2017-02-08 - version 1.0.3
- Inventory Pull
- Design improvements
- Bug fixing and performance improvements.

2017-02-08 - version 1.0.2
- Activate/Deactivate/Upgrade Functions
- Manual Customer Update
- Changes in initial setup alert/notice (after activation)
- Bug fixing and performance improvements.

2017-02-08 - version 1.0.1
- License / connection process update for allow multiple connection of same user.
- Bug fixing and performance improvements.

2017-02-08 - version 1.0
- First Launch
